require 'dxruby'

if not defined?(Ocra)
  begin
    load "main.rb"
  rescue Exception => e
    unless e.is_a?(SystemExit)
      bt = e.backtrace.slice(0..-3)
      puts "#{bt.shift}: #{e.message} (#{e.class})"
      puts bt.map{|s| "\tfrom #{s}"}.join("\n")
      print "(press enter)"
      gets
    end
  end
end
